## hdbc-missingh 0.99.0

=== debian/changelog ===
hdbc-missingh (0.99.0) unstable; urgency=low

  * Initial release.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Dec 2005 15:24:13 -0600

## hdbc-missingh 0.99.0.0

=== debian/changelog ===
hdbc-missingh (0.99.0.0) unstable; urgency=low

  * Initial release.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Dec 2005 15:24:13 -0600

## hdbc-missingh 1.0.1.1

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SOURCES := $(wildcard MissingH/*.hs) \
	$(wildcard MissingH/*/*.hs) \
	$(wildcard MissingH/*/*/*.hs) 
LHSSOURCES := $(wildcard MissingH/*/*.lhs) \
	$(wildcard MissingH/*/*/*.lhs)
TESTSOURCES := $(shell find testsrc -name "*.hs")
O1 := $(SOURCES:.hs=.o) $(LHSSOURCES)
OBJS := $(O1:.lhs=.o)
LHSCONVSOURCES := $(patsubst %.lhs,doctmp/%.hs,$(LHSSOURCES))
HUGSCONVSOURCES := $(patsubst %.hs,dist/build/%.hs,$(SOURCES))
UNLIT ?= $(shell ghc --print-libdir)/unlit
GHCPARMS := -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -cpp

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs HDBC-MissingH.cabal
	ghc -package Cabal Setup.lhs -o setup

doctmp/%.hs: %.lhs doctmp
	mkdir -p `dirname $@`
	$(UNLIT) $< $@

doctmp:
	mkdir doctmp

.PHONY: doc
doc: $(LHSCONVSOURCES) hugsbuild
	-rm -rf doc
	mkdir doc
	haddock $(HADDOCKARGS) --package=HDBC-MissingH \
	   --dump-interface=doc/HDBC-MissingH.haddock \
	   -t 'HDBC-MissingH API Manual' -h -o doc $(HUGSCONVSOURCES) $(LHSCONVSOURCES)

.PHONY: hugsbuild


clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/*
	-cd doc && $(MAKE) clean

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package mtl -package HUnit -package MissingH -package HDBC-sqlite3 -package HDBC-postgresql $(GHCPARMS) -o runtests  -i../dist/build:.. runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: hugsbuild
	runhugs -98 +o -P$(PWD)/dist/build:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

## hdbc-missingh 0.99.0.0build1

=== debian/changelog ===
hdbc-missingh (0.99.0.0build1) dapper; urgency=low

  * Rebuild for registered/unregistered change of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Tue, 11 Apr 2006 23:03:32 +0200

=== debian/control ===
Source: hdbc-missingh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.13.0), libghc6-hdbc-dev (>= 0.11.0)
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.1), libhugs-missingh (>= 0.13.0), libhugs-hdbc (>= 0.11.0)
Standards-Version: 3.6.2
Section: devel

Package: libghc6-hdbc-missingh-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.13.0), libghc6-hdbc-dev (>= 0.99.0)
Description: Integration of HDBC with MissingH, GHC version
 HDBC-MissingH is a package to integrate HDBC (Haskell Database
 Connectivity) with the MissingH library.
 .
 At the moment, this means that any HDBC database can act as a backend
 for the MissingH.AnyDBM interface.
 .
 This package provides HDBC-MissingH for GHC.

Package: libhugs-hdbc-missingh
Section: devel
Architecture: all
Depends: ${haskell:Depends}, libhugs-missingh (>= 0.13.0), libhugs-hdbc (>= 0.99.0)
Description: Integration of HDBC with MissingH, Hugs version
 HDBC-MissingH is a package to integrate HDBC (Haskell Database
 Connectivity) with the MissingH library.
 .
 At the moment, this means that any HDBC database can act as a backend
 for the MissingH.AnyDBM interface.
 .
 This package provides HDBC-MissingH for Hugs.

## hdbc-missingh 0.99.2.0

=== debian/changelog ===
hdbc-missingh (0.99.2.0) unstable; urgency=low

  * Rebuild against HDBC 0.99.2.
  * Don't try to commit against DBs that don't support transactions.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Mar 2006 05:46:12 -0600

hdbc-missingh (0.99.1.0) unstable; urgency=low

  * Rebuilt against HDBC 0.99.1.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 27 Mar 2006 22:58:39 -0600

hdbc-missingh (0.99.0.1) unstable; urgency=low

  * Updated build-deps on MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 20 Mar 2006 20:39:34 -0600

=== debian/control ===
Source: hdbc-missingh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.13.1), libghc6-hdbc-dev (>= 0.99.2)
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.1), libhugs-missingh (>= 0.13.0), libhugs-hdbc (>= 0.99.2)
Standards-Version: 3.6.2
Section: devel

Package: libghc6-hdbc-missingh-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.13.1), libghc6-hdbc-dev (>= 0.99.2)
Description: Integration of HDBC with MissingH, GHC version
 HDBC-MissingH is a package to integrate HDBC (Haskell Database
 Connectivity) with the MissingH library.
 .
 At the moment, this means that any HDBC database can act as a backend
 for the MissingH.AnyDBM interface.
 .
 This package provides HDBC-MissingH for GHC.

Package: libhugs-hdbc-missingh
Section: devel
Architecture: all
Depends: ${haskell:Depends}, libhugs-missingh (>= 0.13.0), libhugs-hdbc (>= 0.99.2)
Description: Integration of HDBC with MissingH, Hugs version
 HDBC-MissingH is a package to integrate HDBC (Haskell Database
 Connectivity) with the MissingH library.
 .
 At the moment, this means that any HDBC database can act as a backend
 for the MissingH.AnyDBM interface.
 .
 This package provides HDBC-MissingH for Hugs.

## hdbc-missingh 1.0.0.0

=== debian/changelog ===
hdbc-missingh (1.0.0.0) unstable; urgency=low

  * Blessing for 1.0.0.
  * Rebuilding for Debian with GHC 6.4.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Jun 2006 18:50:18 -0500

hdbc-missingh (0.99.2.3) unstable; urgency=low

  * Rebuilding for MissingH 0.14.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Apr 2006 00:40:51 -0500

hdbc-missingh (0.99.2.2) unstable; urgency=low

  * Fix typo in control.  Closes: #361170.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  7 Apr 2006 06:22:25 -0500

hdbc-missingh (0.99.2.1) unstable; urgency=low

  * Rebuilding for new MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  6 Apr 2006 02:47:37 -0500

=== debian/control ===
Source: hdbc-missingh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.4), libghc6-hdbc-dev (>= 1.0.0)
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.2), libhugs-missingh (>= 0.14.0), libhugs-hdbc (>= 1.0.0)
Standards-Version: 3.6.2
Section: devel

Package: libghc6-hdbc-missingh-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.14.4), libghc6-hdbc-dev (>= 1.0.0)
Description: Integration of HDBC with MissingH, GHC version
 HDBC-MissingH is a package to integrate HDBC (Haskell Database
 Connectivity) with the MissingH library.
 .
 At the moment, this means that any HDBC database can act as a backend
 for the MissingH.AnyDBM interface.
 .
 This package provides HDBC-MissingH for GHC.

Package: libhugs-hdbc-missingh
Section: devel
Architecture: all
Depends: ${haskell:Depends}, libhugs-missingh (>= 0.14.0), libhugs-hdbc (>= 1.0.0)
Description: Integration of HDBC with MissingH, Hugs version
 HDBC-MissingH is a package to integrate HDBC (Haskell Database
 Connectivity) with the MissingH library.
 .
 At the moment, this means that any HDBC database can act as a backend
 for the MissingH.AnyDBM interface.
 .
 This package provides HDBC-MissingH for Hugs.

## hdbc-missingh 1.0.0.1

=== debian/changelog ===
hdbc-missingh (1.0.0.1) unstable; urgency=low

  * Rebuilding for HDBC 1.0.1

 -- John Goerzen <jgoerzen@complete.org>  Sat, 22 Jul 2006 07:29:15 -0500

=== debian/control ===
Source: hdbc-missingh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.4), libghc6-hdbc-dev (>= 1.0.1)
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.2), libhugs-missingh (>= 0.14.0), libhugs-hdbc (>= 1.0.1)
Standards-Version: 3.6.2
Section: devel

Package: libghc6-hdbc-missingh-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.14.4), libghc6-hdbc-dev (>= 1.0.1)
Description: Integration of HDBC with MissingH, GHC version
 HDBC-MissingH is a package to integrate HDBC (Haskell Database
 Connectivity) with the MissingH library.
 .
 At the moment, this means that any HDBC database can act as a backend
 for the MissingH.AnyDBM interface.
 .
 This package provides HDBC-MissingH for GHC.

Package: libhugs-hdbc-missingh
Section: devel
Architecture: all
Depends: ${haskell:Depends}, libhugs-missingh (>= 0.14.0), libhugs-hdbc (>= 1.0.1)
Description: Integration of HDBC with MissingH, Hugs version
 HDBC-MissingH is a package to integrate HDBC (Haskell Database
 Connectivity) with the MissingH library.
 .
 At the moment, this means that any HDBC database can act as a backend
 for the MissingH.AnyDBM interface.
 .
 This package provides HDBC-MissingH for Hugs.

## hdbc-missingh 1.0.1.1

=== debian/changelog ===
hdbc-missingh (1.0.1.1) unstable; urgency=low

  * Add missing build-dep on libghc6-hunit-dev.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 20:15:32 -0500

hdbc-missingh (1.0.1.0) unstable; urgency=low

  * Rebuilding for GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 21:52:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: hdbc-missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.4), libghc6-hdbc-dev (>= 1.0.1)
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.2), libhugs-missingh (>= 0.14.0), libhugs-hdbc (>= 1.0.1)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.16.2), libghc6-hdbc-dev (>= 1.0.1.2), libghc6-mtl-dev, libghc6-hunit-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), libhugs-missingh (>= 0.14.0), libhugs-hdbc (>= 1.0.1.2), libghc6-mtl-dev, libghc6-hunit-dev
 Standards-Version: 3.6.2
 Section: devel
 
 Package: libghc6-hdbc-missingh-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.14.4), libghc6-hdbc-dev (>= 1.0.1)
+Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.16.1), libghc6-hdbc-dev (>= 1.0.1.2), libghc6-mtl-dev
 Description: Integration of HDBC with MissingH, GHC version
  HDBC-MissingH is a package to integrate HDBC (Haskell Database
  Connectivity) with the MissingH library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a
	#make test-ghc6

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc
	#make test-hugs

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i
	#make test-hugs

# Build architecture-independent files here.
binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i doc/* README.txt
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a doc/* README.txt
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
